Bug 189381 - ATIX - Add nodeid as an option for context dependent path names
ATIX - Add nodeid as an option for context dependent path names
Status: CLOSED DEFERRED
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Abhijith Das
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 12:10 EDT by Kiersten (Kerri) Anderson
Modified: 2013-09-23 11:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 11:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds nodeid symlink support to gfs (2.42 KB, patch)
2006-04-19 12:10 EDT, Kiersten (Kerri) Anderson
no flags Details | Diff

  None (edit)
Description Kiersten (Kerri) Anderson 2006-04-19 12:10:45 EDT
Created attachment 127991 [details]
Adds nodeid symlink support to gfs
Comment 1 Kiersten (Kerri) Anderson 2006-04-19 12:10:45 EDT
Description of problem:
ATIX uses nodeid as a reference for context dependent pathnames in their shared
root configuration and setup.  This patch adds the nodeid as an option to the
context dependent pathname code.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Abhijith Das 2006-04-19 12:24:05 EDT
We had discussed this patch before and we'd come up with some issues. 

"o The nodeid in gfs is obtained from cman kernel module (and called "nodeX"
where X is the nodeid) and thus makes gfs dependent on cman. This is not a good
thing for non-clustered gfs deployment. Also, the node-id attribute is
cluster-specific and doesn't really make sense in a non-clustered gfs installation.

o Moreover, even in a clustered environment, the nodeids change over
cluster-restarts. So, if a node was looking at one location for its files using
@nodeid, after a cluster restart @nodeid may no longer point to that location."

As I figured out later, the second point is a non-issue because we can force the
nodes to have specific nodeids by explicitly declaring them in the cluster.conf.

Do we still need this feature?
Comment 3 Christine Caulfield 2006-04-20 04:03:10 EDT
Nodeids can be hard-wired to nodes in CCS. In fact we will insist on this for
RHEL5 (ccs_tool has an subcommand to add them).
Comment 4 Abhijith Das 2006-04-20 18:31:24 EDT
done. added patch to RHEL4 and STABLE branches.
Comment 8 Lon Hohberger 2013-09-23 11:32:21 EDT
The Red Hat Cluster Suite product is past end-of-life; closing.

Note You need to log in before you can comment on or make changes to this bug.